Page MenuHomePhabricator

[BUG] Both "English" and "Simple English" translations appear in language dropdown as "English"
Closed, DeclinedPublic3 Story PointsBug

Description

What is the problem?

For SVGs with both "English" ("en") and "Simple English" ("simple") translations, in the "From" language dropdown they both appear as "English" and cannot be distinguished by the user.

An example can be seen here https://tools.wmflabs.org/svgtranslate-test/File:Chemnitz_Verkehr.svg

I think we are relying on the Intuition library for this. But, I could not see where that library stores its translations for Simple English, and I did not look in its .json files for other languages which might not be appropriately disambiguated.

Steps to reproduce problem
  1. Create an SVG with translations in both English and Simple English
  2. Load it in svgtranslate and open the From language dropdown

Expected behavior: You see two options with different names (e.g. "English" and "Simple English")
Observed behavior: You see two options with the same name

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptApr 15 2019, 10:48 AM
Niharika set the point value for this task to 3.Apr 16 2019, 11:10 PM
MusikAnimal moved this task from Ready to Needs Review/Feedback on the Community-Tech-Sprint board.
MusikAnimal added a subscriber: MusikAnimal.

The issue is that Simple English is not a real language. Intuition for some reason still has a label for it, but it is not being used because the simple language code is marked as deprecated and hence falls back to plain English. This apparently matches MediaWiki behaviour (based on the comment), and I agree with it. In this case of File:Chemnitz_Verkehr.svg, the author probably added Simple English back when we still treated it as a distinct language.

So I see two options:

  • Close this as declined. Presumably all applications using Intuition, or MediaWiki itself for that matter, behave in the same way.
  • Add in a check to skip simple as a source language altogether, so that it can't be selected.

Thoughts?

What language do SVGs (that have 'simple' in a contentLanguage) render in on Simple Wikipedia? I think if they can be displayed correctly there, then they should be able to be translated.

What language do SVGs (that have 'simple' in a contentLanguage) render in on Simple Wikipedia? I think if they can be displayed correctly there, then they should be able to be translated.

I don't know how to check :/ Is https://commons.wikimedia.org/wiki/File:Chemnitz_Verkehr.svg an example? SVG Translate sees "simple" as one of the source languages. I did notice there's no dropdown on the File page to change the language from English to Simple English, as you would see with other multilingual SVGs, e.g. https://commons.wikimedia.org/wiki/File:Scheme_ant_worker_anatomy-en.svg

I don't know how to check :/ Is https://commons.wikimedia.org/wiki/File:Chemnitz_Verkehr.svg an example? SVG Translate sees "simple" as one of the source languages. I did notice there's no dropdown on the File page to change the language from English to Simple English, as you would see with other multilingual SVGs, e.g. https://commons.wikimedia.org/wiki/File:Scheme_ant_worker_anatomy-en.svg

I don't think that file has any translations (SVG Translate prod does not see any). https://commons.wikimedia.beta.wmflabs.org/wiki/File:Chemnitz_Verkehr.svg, which I uploaded a Simple English translation from SVG Translate, has a dropdown with "en-simple".

I don't think that file has any translations (SVG Translate prod does not see any). https://commons.wikimedia.beta.wmflabs.org/wiki/File:Chemnitz_Verkehr.svg, which I uploaded a Simple English translation from SVG Translate, has a dropdown with "en-simple".

Yes indeed, it would seem the dropdown is populated with any language specification in the SVG, doesn't matter if it's real. E.g. https://commons.wikimedia.org/wiki/File:System_language_attribute_bug_demo.svg

I used your example image on my Beta userpage, and ?uselang=simple and ?uselang=en-simple don't show the simple translation: https://commons.wikimedia.beta.wmflabs.org/w/index.php?title=User:MusikAnimal&oldid=107994&uselang=simple. I also see "Simple English" is not an option in ULS on the wiki.

Niharika closed this task as Declined.Apr 18 2019, 11:13 PM
Niharika moved this task from Needs Review/Feedback to Done on the Community-Tech-Sprint board.

Sounds like this can't be fixed. Let's hope most people don't run into this!

Niharika moved this task from Backlog to Done on the SVG Translate Tool board.Apr 30 2019, 6:47 PM